Subject: RE: [AAA-WG]: [issue] Minor clarifications/corrections to Base-10-2

From: <[email-masked]>
Date: Mon, 8 Apr 2002 14:21:42 +0300

Hi Bob,

> In the Table of Contents
> 
>       1.1.1 Differences from Radius
> 
>   Capitalize "Radius"

Got it.

> In section 8.1  Authorization Session State Machine
> 
>   Replace the two entries:
>     
>     State     Event                          Action     New State
>     -------------------------------------------------------------
>     
>     Open      Home server wants to           send ASR   Discon
>               terminate the service
>     
>     Discon    ASA Received                   Cleanup    Idle
> 
>   With:
> 
>     State     Event                          Action     New State
>     -------------------------------------------------------------
>         
>     Open      Home server wants to           send ASR   Open
>               terminate the service
>         
>     Open      ASA Received                   Cleanup    Idle
>               with Result-Code 
>               = UNKNOWN-SESSION-ID
>         
>     Open      ASA Received                   None       Open
>               with Result-Code               (ignore)
>               not = UNKNOWN-SESSION-ID
>         
>     Not       ASA Received                   None       No Change.
>     Open
> 
>   This per issue#275, which I think was accepted, but the changes
>   weren't made to the state table.

Got it, according to Jari's follow-on mail

> In section 10.1  Base Protocol Command AVP Table
> 
>   Change:
>   To:
> 
>      Attribute Name      |CER|CEA|DPR|DPA|DWR|DWA|RAR|RAA|ASR|ASA|STR|STA|
>      --------------------|---+---+---+---+---+---+---+---+---+---+---+---|
>      User-Name           |0  |0  |0  |0  |0  |0  |0-1|0-1|1  |0-1|1  |0-1|
> 
> 
>   This per issue#264 (which I think was accepted but the changes weren't
>   made to the occurrence rule table): "Since it is natural and harmless for
>   an implementation to echo back the User-Name, allow but do not require the
>   User-Name AVP to appear in Answer messages, if present in the Request."

Got it.

> In 14.1  Normative References
> 
>   These have expired:
> 
>     [AAATRANS] draft-ietf-aaa-transport-04.txt, June 2001.

It is now v05.
 
>   These are not the latest:
> 
>     [CMS] draft-ietf-aaa-diameter-cms-sec-03.txt

Got it.
 
> - - - -
> 
> In 14.2  Non-Normative References
> 
>   These are not the latest:
> 
>     [DIAMMIP] draft-ietf-aaa-diameter-mobileip-08.txt
> 
>     [MIPV4] IP Mobility Support.  RFC 2002
> 
>     [NASREQ] draft-ietf-aaa-diameter-nasreq-08.txt

Got it.

> In section 16  Authors' Addresses
>   
>   | Questions about this memo can be directed to:
>   |
>   |    Pat R. Calhoun
>   |    Black Storm Networks
>   |    250 Cambridge Avenue, Suite 200
>   |    Palo Alto, California, 94306
>   |    USA
>   |
>   |     Phone:  +1 650-617-2932
>   |       Fax:  +1 650-786-6445
>   |    E-mail:  [email-masked]
> 
>   I don't think this is Pat's email address (though it's the one
>   he encourages me to use :)
> 
> - - - -
> 
> In section 17  Full Copyright Statement
> 
>    Copyright (C) The Internet Society (2001).  All Rights Reserved.
> 
> Should the year be (2002) ?

Yup.

Thanks Bob,
John